Bug 49471 - Automatic Partitioner in anaconda doesn't initialize drives
Automatic Partitioner in anaconda doesn't initialize drives
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-07-19 16:42 EDT by Clay Cooper
Modified: 2007-04-18 12:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-25 17:30:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Clay Cooper 2001-07-19 16:42:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2 i686; en-US; m18)
Gecko/20010131 Netscape6/6.01

Description of problem:
Automatic Partitioner does not initialize drives when needed. Choosing
manual partitioning with disk druid provides a window option to initialize
the drives, then you can go back and choose automatic partitioning.
Otherwise, the install will rboot the machine.

How reproducible:

Steps to Reproduce:
1.Insert a scsi drive that has not been initialized with the controller.
2.Run the anaconda and choose automatic partitioning scheme.

Actual Results:  anaconda will advise that there are no drives available.

Expected Results:  anaconda should have queried user to initialize the drive.

Additional info:
Comment 1 Glen Foster 2001-07-19 17:18:44 EDT
This defect considered MUST-FIX for Fairfax.
Comment 2 Jeremy Katz 2001-07-20 17:15:41 EDT
When trying here on a disk which I've dd'd /dev/zero to, I select automatic
partitioning and get a dialog box saying that there isn't a label, click cancel
and then get the dialog box for whether or not to create a new label.  This is
the expected behavior (and the same behavior which has existed in previous
releases of Red Hat Linux, although the wording in the dialog boxes is somewhat
different).  Is this what you see or are you seeing something different?
Comment 3 Dean Oliver 2001-07-23 11:37:27 EDT
This is not concerning the label issue, which is a seperate issue. Anaconda does not attempt to initialize a drive when using automatic partitioning, using manual partitioning you will be prompted.
Comment 4 Matt Wilson 2001-07-23 23:33:23 EDT
disk "label" is the generic term for a partition table.

Note You need to log in before you can comment on or make changes to this bug.